diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -4450,216 +4455,216 @@ ment and creates a parameter for each name found, automatically marking\
 R 3.08(ye)-.15 G -.15(xe)-3.23 G .58
 (cuted command consists of the shell').15 F 3.08(si)-.55 G .58
 (nitial en)-3.08 F .58(vironment, whose v)-.4 F .58(alues may be)-.25 F
-.3(modi\214ed in the shell, less an)108 542.4 R 2.8(yp)-.15 G .3
-(airs remo)-2.8 F -.15(ve)-.15 G 2.8(db).15 G 2.801(yt)-2.8 G(he)-2.801
-E F1(unset)2.801 E F0 .301(command, plus an)2.801 F 2.801(ya)-.15 G .301
-(dditions via the)-2.801 F F1(export)2.801 E F0(and)2.801 E F1(declar)
-108 554.4 Q 2.5<65ad>-.18 G(x)-2.5 E F0(commands.)2.5 E .563(The en)108
-571.2 R .563(vironment for an)-.4 F(y)-.15 E F3 .563(simple command)
-3.403 F F0 .562
+.301(modi\214ed in the shell, less an)108 542.4 R 2.801(yp)-.15 G .301
+(airs remo)-2.801 F -.15(ve)-.15 G 2.801(db).15 G 2.801(yt)-2.801 G(he)
+-2.801 E F1(unset)2.801 E F0 .3(command, plus an)2.8 F 2.8(ya)-.15 G .3
+(dditions via the)-2.8 F F1(export)2.8 E F0(and)2.8 E F1(declar)108
+554.4 Q 2.5<65ad>-.18 G(x)-2.5 E F0(commands.)2.5 E .562(The en)108
+571.2 R .562(vironment for an)-.4 F(y)-.15 E F3 .562(simple command)
+3.402 F F0 .563
 (or function may be augmented temporarily by pre\214xing it with)3.833 F
-.202(parameter assignments, as described abo)108 583.2 R .502 -.15(ve i)
+.203(parameter assignments, as described abo)108 583.2 R .502 -.15(ve i)
 -.15 H(n).15 E F2 -.666(PA)2.702 G(RAMETERS).666 E/F5 9/Times-Roman@0 SF
-(.)A F0 .202(These assignment statements af)4.702 F .203(fect only the)
+(.)A F0 .202(These assignment statements af)4.702 F .202(fect only the)
 -.25 F(en)108 595.2 Q(vironment seen by that command.)-.4 E .81(If the)
 108 612 R F1<ad6b>3.31 E F0 .81(option is set \(see the)3.31 F F1(set)
 3.31 E F0 -.2(bu)3.31 G .81(iltin command belo).2 F .81(w\), then)-.25 F
 F3(all)3.64 E F0 .81(parameter assignments are placed in)3.82 F(the en)
 108 624 Q
 (vironment for a command, not just those that precede the command name.)
--.4 E(When)108 640.8 Q F1(bash)3.585 E F0(in)3.585 E -.2(vo)-.4 G -.1
-(ke).2 G 3.585(sa).1 G 3.585(ne)-3.585 G 1.085(xternal command, the v)
--3.735 F(ariable)-.25 E F1(_)3.585 E F0 1.086
+-.4 E(When)108 640.8 Q F1(bash)3.586 E F0(in)3.586 E -.2(vo)-.4 G -.1
+(ke).2 G 3.586(sa).1 G 3.586(ne)-3.586 G 1.086(xternal command, the v)
+-3.736 F(ariable)-.25 E F1(_)3.586 E F0 1.085
 (is set to the full \214lename of the command and)3.586 F
 (passed to that command in its en)108 652.8 Q(vironment.)-.4 E F4
-(EXIT ST)72 669.6 Q -1.04(AT)-.986 G(US)1.04 E F0 .151(The e)108 681.6 R
-.151(xit status of an e)-.15 F -.15(xe)-.15 G .151
-(cuted command is the v).15 F .15(alue returned by the)-.25 F F3
-(waitpid)2.65 E F0 .15(system call or equi)2.65 F -.25(va)-.25 G .15
-(lent func-).25 F 2.847(tion. Exit)108 693.6 R .347(statuses f)2.847 F
-.347(all between 0 and 255, though, as e)-.1 F .347(xplained belo)-.15 F
-1.647 -.65(w, t)-.25 H .347(he shell may use v).65 F .348(alues abo)-.25
-F .648 -.15(ve 1)-.15 H(25).15 E(specially)108 705.6 Q 5.507(.E)-.65 G
-.507(xit statuses from shell b)-5.507 F .507
+(EXIT ST)72 669.6 Q -1.04(AT)-.986 G(US)1.04 E F0 .15(The e)108 681.6 R
+.15(xit status of an e)-.15 F -.15(xe)-.15 G .15(cuted command is the v)
+.15 F .151(alue returned by the)-.25 F F3(waitpid)2.651 E F0 .151
+(system call or equi)2.651 F -.25(va)-.25 G .151(lent func-).25 F 2.848
+(tion. Exit)108 693.6 R .348(statuses f)2.848 F .347
+(all between 0 and 255, though, as e)-.1 F .347(xplained belo)-.15 F
+1.647 -.65(w, t)-.25 H .347(he shell may use v).65 F .347(alues abo)-.25
+F .647 -.15(ve 1)-.15 H(25).15 E(specially)108 705.6 Q 5.506(.E)-.65 G
+.506(xit statuses from shell b)-5.506 F .507
 (uiltins and compound commands are also limited to this range.)-.2 F
-(Under)5.506 E(certain circumstances, the shell will use special v)108
+(Under)5.507 E(certain circumstances, the shell will use special v)108
 717.6 Q(alues to indicate speci\214c f)-.25 E(ailure modes.)-.1 E
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(35)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(35)192.895 E 0 Cg EP
 %%Page: 36 36
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E -.15(Fo)108 84 S
-3.372(rt).15 G .872(he shell')-3.372 F 3.372(sp)-.55 G .873
-(urposes, a command which e)-3.372 F .873(xits with a zero e)-.15 F .873
-(xit status has succeeded.)-.15 F .873(An e)5.873 F .873(xit status of)
--.15 F .049(zero indicates success.)108 96 R 2.549(An)5.049 G .049
-(on-zero e)-2.549 F .049(xit status indicates f)-.15 F 2.549
-(ailure. When)-.1 F 2.549(ac)2.549 G .048(ommand terminates on a f)
--2.549 F .048(atal sig-)-.1 F(nal)108 108 Q/F1 10/Times-Italic@0 SF(N)
+3.373(rt).15 G .873(he shell')-3.373 F 3.373(sp)-.55 G .873
+(urposes, a command which e)-3.373 F .873(xits with a zero e)-.15 F .873
+(xit status has succeeded.)-.15 F .872(An e)5.872 F .872(xit status of)
+-.15 F .048(zero indicates success.)108 96 R 2.548(An)5.048 G .049
+(on-zero e)-2.548 F .049(xit status indicates f)-.15 F 2.549
+(ailure. When)-.1 F 2.549(ac)2.549 G .049(ommand terminates on a f)
+-2.549 F .049(atal sig-)-.1 F(nal)108 108 Q/F1 10/Times-Italic@0 SF(N)
 2.5 E F0(,)A/F2 10/Times-Bold@0 SF(bash)2.5 E F0(uses the v)2.5 E
-(alue of 128+)-.25 E F1(N)A F0(as the e)2.5 E(xit status.)-.15 E .404
+(alue of 128+)-.25 E F1(N)A F0(as the e)2.5 E(xit status.)-.15 E .405
 (If a command is not found, the child process created to e)108 124.8 R
--.15(xe)-.15 G .404(cute it returns a status of 127.).15 F .405
-(If a command is)5.405 F(found b)108 136.8 Q(ut is not e)-.2 E -.15(xe)
+-.15(xe)-.15 G .404(cute it returns a status of 127.).15 F .404
+(If a command is)5.404 F(found b)108 136.8 Q(ut is not e)-.2 E -.15(xe)
 -.15 G(cutable, the return status is 126.).15 E(If a command f)108 153.6
 Q(ails because of an error during e)-.1 E
 (xpansion or redirection, the e)-.15 E(xit status is greater than zero.)
--.15 E .081(Shell b)108 170.4 R .081
+-.15 E .08(Shell b)108 170.4 R .08
 (uiltin commands return a status of 0 \()-.2 F F1(true)A F0 2.581(\)i)C
-2.581(fs)-2.581 G .08(uccessful, and non-zero \()-2.581 F F1(false)A F0
-2.58(\)i)C 2.58(fa)-2.58 G 2.58(ne)-2.58 G .08(rror occurs while)-2.58 F
-(the)108 182.4 Q 2.967(ye)-.15 G -.15(xe)-3.117 G 2.967(cute. All).15 F
--.2(bu)2.967 G .467(iltins return an e).2 F .468
+2.581(fs)-2.581 G .081(uccessful, and non-zero \()-2.581 F F1(false)A F0
+2.581(\)i)C 2.581(fa)-2.581 G 2.581(ne)-2.581 G .081(rror occurs while)
+-2.581 F(the)108 182.4 Q 2.968(ye)-.15 G -.15(xe)-3.118 G 2.968
+(cute. All).15 F -.2(bu)2.968 G .468(iltins return an e).2 F .468
 (xit status of 2 to indicate incorrect usage, generally in)-.15 F -.25
-(va)-.4 G .468(lid options or).25 F(missing ar)108 194.4 Q(guments.)-.18
-E F2(Bash)108 211.2 Q F0 .202(itself returns the e)2.702 F .202
-(xit status of the last command e)-.15 F -.15(xe)-.15 G .201
+(va)-.4 G .467(lid options or).25 F(missing ar)108 194.4 Q(guments.)-.18
+E F2(Bash)108 211.2 Q F0 .201(itself returns the e)2.701 F .202
+(xit status of the last command e)-.15 F -.15(xe)-.15 G .202
 (cuted, unless a syntax error occurs, in which case).15 F(it e)108 223.2
 Q(xits with a non-zero v)-.15 E 2.5(alue. See)-.25 F(also the)2.5 E F2
 (exit)2.5 E F0 -.2(bu)2.5 G(iltin command belo).2 E -.65(w.)-.25 G/F3
 10.95/Times-Bold@0 SF(SIGN)72 240 Q(ALS)-.219 E F0(When)108 252 Q F2
-(bash)3.182 E F0 .682(is interacti)3.182 F -.15(ve)-.25 G 3.182(,i).15 G
-3.182(nt)-3.182 G .682(he absence of an)-3.182 F 3.183(yt)-.15 G .683
-(raps, it ignores)-3.183 F/F4 9/Times-Bold@0 SF(SIGTERM)3.183 E F0 .683
-(\(so that)2.933 F F2 .683(kill 0)3.183 F F0 .683(does not kill an)3.183
-F(interacti)108 264 Q .758 -.15(ve s)-.25 H .458(hell\), and).15 F F4
-(SIGINT)2.958 E F0 .458(is caught and handled \(so that the)2.708 F F2
-(wait)2.958 E F0 -.2(bu)2.958 G .457(iltin is interruptible\).).2 F .457
-(In all cases,)5.457 F F2(bash)108 276 Q F0(ignores)2.5 E F4(SIGQ)2.5 E
+(bash)3.183 E F0 .683(is interacti)3.183 F -.15(ve)-.25 G 3.183(,i).15 G
+3.183(nt)-3.183 G .683(he absence of an)-3.183 F 3.183(yt)-.15 G .683
+(raps, it ignores)-3.183 F/F4 9/Times-Bold@0 SF(SIGTERM)3.183 E F0 .682
+(\(so that)2.933 F F2 .682(kill 0)3.182 F F0 .682(does not kill an)3.182
+F(interacti)108 264 Q .757 -.15(ve s)-.25 H .457(hell\), and).15 F F4
+(SIGINT)2.957 E F0 .458(is caught and handled \(so that the)2.707 F F2
+(wait)2.958 E F0 -.2(bu)2.958 G .458(iltin is interruptible\).).2 F .458
+(In all cases,)5.458 F F2(bash)108 276 Q F0(ignores)2.5 E F4(SIGQ)2.5 E
 (UIT)-.09 E/F5 9/Times-Roman@0 SF(.)A F0(If job control is in ef)4.5 E
 (fect,)-.25 E F2(bash)2.5 E F0(ignores)2.5 E F4(SIGTTIN)2.5 E F5(,)A F4
 (SIGTT)2.25 E(OU)-.162 E F5(,)A F0(and)2.25 E F4(SIGTSTP)2.5 E F5(.)A F0
-(Non-b)108 292.8 Q 1.064(uiltin commands run by)-.2 F F2(bash)3.564 E F0
-(ha)3.564 E 1.365 -.15(ve s)-.2 H 1.065(ignal handlers set to the v).15
-F 1.065(alues inherited by the shell from its)-.25 F 3.248(parent. When)
-108 304.8 R .748(job control is not in ef)3.248 F .747
-(fect, asynchronous commands ignore)-.25 F F4(SIGINT)3.247 E F0(and)
-2.997 E F4(SIGQ)3.247 E(UIT)-.09 E F0 .747(in addi-)2.997 F .652
+(Non-b)108 292.8 Q 1.065(uiltin commands run by)-.2 F F2(bash)3.565 E F0
+(ha)3.565 E 1.365 -.15(ve s)-.2 H 1.065(ignal handlers set to the v).15
+F 1.064(alues inherited by the shell from its)-.25 F 3.247(parent. When)
+108 304.8 R .747(job control is not in ef)3.247 F .747
+(fect, asynchronous commands ignore)-.25 F F4(SIGINT)3.248 E F0(and)
+2.998 E F4(SIGQ)3.248 E(UIT)-.09 E F0 .748(in addi-)2.998 F .653
 (tion to these inherited handlers.)108 316.8 R .653
-(Commands run as a result of command substitution ignore the k)5.652 F
+(Commands run as a result of command substitution ignore the k)5.653 F
 -.15(ey)-.1 G(board-).15 E(generated job control signals)108 328.8 Q F4
 (SIGTTIN)2.5 E F5(,)A F4(SIGTT)2.25 E(OU)-.162 E F5(,)A F0(and)2.25 E F4
-(SIGTSTP)2.5 E F5(.)A F0 2.046(The shell e)108 345.6 R 2.046
+(SIGTSTP)2.5 E F5(.)A F0 2.045(The shell e)108 345.6 R 2.045
 (xits by def)-.15 F 2.045(ault upon receipt of a)-.1 F F4(SIGHUP)4.545 E
-F5(.)A F0 2.045(Before e)6.545 F 2.045(xiting, an interacti)-.15 F 2.345
--.15(ve s)-.25 H 2.045(hell resends the).15 F F4(SIGHUP)108 357.6 Q F0
-1.004(to all jobs, running or stopped.)3.254 F 1.004
-(Stopped jobs are sent)6.004 F F4(SIGCONT)3.505 E F0 1.005
-(to ensure that the)3.255 F 3.505(yr)-.15 G(ecei)-3.505 E 1.305 -.15
-(ve t)-.25 H(he).15 E F4(SIGHUP)108 369.6 Q F5(.)A F0 2.53 -.8(To p)5.43
-H(re).8 E -.15(ve)-.25 G .93(nt the shell from sending the signal to a \
-particular job, it should be remo).15 F -.15(ve)-.15 G 3.429(df).15 G
-.929(rom the)-3.429 F 1.356(jobs table with the)108 381.6 R F2(diso)
-3.856 E(wn)-.1 E F0 -.2(bu)3.856 G 1.356(iltin \(see).2 F F4 1.356
-(SHELL B)3.856 F(UIL)-.09 E 1.356(TIN COMMANDS)-.828 F F0(belo)3.607 E
-1.357(w\) or mark)-.25 F 1.357(ed to not recei)-.1 F -.15(ve)-.25 G F4
+F5(.)A F0 2.045(Before e)6.545 F 2.045(xiting, an interacti)-.15 F 2.346
+-.15(ve s)-.25 H 2.046(hell resends the).15 F F4(SIGHUP)108 357.6 Q F0
+1.005(to all jobs, running or stopped.)3.255 F 1.004
+(Stopped jobs are sent)6.005 F F4(SIGCONT)3.504 E F0 1.004
+(to ensure that the)3.254 F 3.504(yr)-.15 G(ecei)-3.504 E 1.304 -.15
+(ve t)-.25 H(he).15 E F4(SIGHUP)108 369.6 Q F5(.)A F0 2.529 -.8(To p)
+5.429 H(re).8 E -.15(ve)-.25 G .93(nt the shell from sending the signal\
+ to a particular job, it should be remo).15 F -.15(ve)-.15 G 3.43(df).15
+G .93(rom the)-3.43 F 1.357(jobs table with the)108 381.6 R F2(diso)
+3.857 E(wn)-.1 E F0 -.2(bu)3.857 G 1.357(iltin \(see).2 F F4 1.356
+(SHELL B)3.856 F(UIL)-.09 E 1.356(TIN COMMANDS)-.828 F F0(belo)3.606 E
+1.356(w\) or mark)-.25 F 1.356(ed to not recei)-.1 F -.15(ve)-.25 G F4
 (SIGHUP)108 393.6 Q F0(using)2.25 E F2(diso)2.5 E(wn \255h)-.1 E F0(.)A
 .166(If the)108 410.4 R F2(huponexit)2.666 E F0 .166
 (shell option has been set with)2.666 F F2(shopt)2.666 E F0(,)A F2(bash)
 2.666 E F0 .166(sends a)2.666 F F4(SIGHUP)2.666 E F0 .166
 (to all jobs when an interacti)2.416 F -.15(ve)-.25 G(login shell e)108
-422.4 Q(xits.)-.15 E(If)108 439.2 Q F2(bash)3.046 E F0 .546(is w)3.046 F
+422.4 Q(xits.)-.15 E(If)108 439.2 Q F2(bash)3.047 E F0 .547(is w)3.047 F
 .546(aiting for a command to complete and recei)-.1 F -.15(ve)-.25 G
 3.046(sas).15 G .546(ignal for which a trap has been set, the trap)
--3.046 F .663(will not be e)108 451.2 R -.15(xe)-.15 G .663
+-3.046 F .662(will not be e)108 451.2 R -.15(xe)-.15 G .662
 (cuted until the command completes.).15 F(When)5.663 E F2(bash)3.163 E
-F0 .662(is w)3.163 F .662(aiting for an asynchronous command)-.1 F .99
+F0 .663(is w)3.163 F .663(aiting for an asynchronous command)-.1 F .99
 (via the)108 463.2 R F2(wait)3.49 E F0 -.2(bu)3.49 G .99(iltin, the rec\
 eption of a signal for which a trap has been set will cause the).2 F F2
 (wait)3.49 E F0 -.2(bu)3.49 G .99(iltin to).2 F
 (return immediately with an e)108 475.2 Q
 (xit status greater than 128, immediately after which the trap is e)-.15
 E -.15(xe)-.15 G(cuted.).15 E F3(JOB CONTR)72 492 Q(OL)-.329 E F1 -.25
-(Jo)108 504 S 4.568(bc).25 G(ontr)-4.568 E(ol)-.45 E F0 2.068
-(refers to the ability to selecti)5.078 F -.15(ve)-.25 G 2.067
-(ly stop \().15 F F1(suspend)A F0 4.567(\)t)C 2.067(he e)-4.567 F -.15
-(xe)-.15 G 2.067(cution of processes and continue).15 F(\()108 516 Q F1
--.37(re)C(sume).37 E F0 3.201(\)t)C .701(heir e)-3.201 F -.15(xe)-.15 G
+(Jo)108 504 S 4.567(bc).25 G(ontr)-4.567 E(ol)-.45 E F0 2.067
+(refers to the ability to selecti)5.077 F -.15(ve)-.25 G 2.067
+(ly stop \().15 F F1(suspend)A F0 4.567(\)t)C 2.068(he e)-4.567 F -.15
+(xe)-.15 G 2.068(cution of processes and continue).15 F(\()108 516 Q F1
+-.37(re)C(sume).37 E F0 3.202(\)t)C .702(heir e)-3.202 F -.15(xe)-.15 G
 .702(cution at a later point.).15 F 3.202(Au)5.702 G .702
 (ser typically emplo)-3.202 F .702(ys this f)-.1 F .702
-(acility via an interacti)-.1 F 1.002 -.15(ve i)-.25 H(nterf).15 E(ace)
+(acility via an interacti)-.1 F 1.001 -.15(ve i)-.25 H(nterf).15 E(ace)
 -.1 E(supplied jointly by the operating system k)108 528 Q(ernel')-.1 E
 2.5(st)-.55 G(erminal dri)-2.5 E -.15(ve)-.25 G 2.5(ra).15 G(nd)-2.5 E
-F2(bash)2.5 E F0(.)A .785(The shell associates a)108 544.8 R F1(job)
-5.025 E F0 .785(with each pipeline.)3.515 F .784(It k)5.785 F .784
-(eeps a table of currently e)-.1 F -.15(xe)-.15 G .784
-(cuting jobs, which may be).15 F .34(listed with the)108 556.8 R F2
-(jobs)2.84 E F0 2.84(command. When)2.84 F F2(bash)2.84 E F0 .341
-(starts a job asynchronously \(in the)2.84 F F1(bac)2.841 E(kgr)-.2 E
-(ound)-.45 E F0 .341(\), it prints a line).77 F(that looks lik)108 568.8
+F2(bash)2.5 E F0(.)A .784(The shell associates a)108 544.8 R F1(job)
+5.024 E F0 .784(with each pipeline.)3.514 F .784(It k)5.784 F .785
+(eeps a table of currently e)-.1 F -.15(xe)-.15 G .785
+(cuting jobs, which may be).15 F .341(listed with the)108 556.8 R F2
+(jobs)2.841 E F0 2.841(command. When)2.841 F F2(bash)2.841 E F0 .341
+(starts a job asynchronously \(in the)2.841 F F1(bac)2.84 E(kgr)-.2 E
+(ound)-.45 E F0 .34(\), it prints a line).77 F(that looks lik)108 568.8
 Q(e:)-.1 E([1] 25647)144 585.6 Q .241(indicating that this job is job n\
 umber 1 and that the process ID of the last process in the pipeline ass\
-ociated)108 602.4 R .732(with this job is 25647.)108 614.4 R .733
+ociated)108 602.4 R .733(with this job is 25647.)108 614.4 R .732
 (All of the processes in a single pipeline are members of the same job)
-5.732 F(.)-.4 E F2(Bash)5.733 E F0(uses)3.233 E(the)108 626.4 Q F1(job)
-4.24 E F0(abstraction as the basis for job control.)2.73 E 3.063 -.8
-(To f)108 643.2 T 1.463(acilitate the implementation of the user interf)
-.7 F 1.462(ace to job control, the operating system maintains the)-.1 F
-.87(notion of a)108 655.2 R F1(curr)3.37 E .87(ent terminal pr)-.37 F
-.871(ocess gr)-.45 F .871(oup ID)-.45 F F0 5.871(.M)C .871
+5.733 F(.)-.4 E F2(Bash)5.732 E F0(uses)3.232 E(the)108 626.4 Q F1(job)
+4.24 E F0(abstraction as the basis for job control.)2.73 E 3.062 -.8
+(To f)108 643.2 T 1.462(acilitate the implementation of the user interf)
+.7 F 1.463(ace to job control, the operating system maintains the)-.1 F
+.871(notion of a)108 655.2 R F1(curr)3.371 E .871(ent terminal pr)-.37 F
+.871(ocess gr)-.45 F .871(oup ID)-.45 F F0 5.871(.M)C .87
 (embers of this process group \(processes whose process)-5.871 F .023
 (group ID is equal to the current terminal process group ID\) recei)108
 667.2 R .323 -.15(ve k)-.25 H -.15(ey).05 G .023
-(board-generated signals such as).15 F F4(SIG-)2.522 E(INT)108 679.2 Q
-F5(.)A F0 1.346(These processes are said to be in the)5.846 F F1(for)
-3.847 E -.4(eg)-.37 G -.45(ro).4 G(und).45 E F0(.).77 E F1(Bac)6.927 E
-(kgr)-.2 E(ound)-.45 E F0 1.347(processes are those whose process)4.617
-F .146(group ID dif)108 691.2 R .146(fers from the terminal')-.25 F .146
-(s; such processes are immune to k)-.55 F -.15(ey)-.1 G .145
-(board-generated signals.).15 F .145(Only fore-)5.145 F .16
+(board-generated signals such as).15 F F4(SIG-)2.523 E(INT)108 679.2 Q
+F5(.)A F0 1.347(These processes are said to be in the)5.847 F F1(for)
+3.846 E -.4(eg)-.37 G -.45(ro).4 G(und).45 E F0(.).77 E F1(Bac)6.926 E
+(kgr)-.2 E(ound)-.45 E F0 1.346(processes are those whose process)4.616
+F .145(group ID dif)108 691.2 R .145(fers from the terminal')-.25 F .146
+(s; such processes are immune to k)-.55 F -.15(ey)-.1 G .146
+(board-generated signals.).15 F .146(Only fore-)5.146 F .16
 (ground processes are allo)108 703.2 R .16(wed to read from or)-.25 F
 2.66(,i)-.4 G 2.66(ft)-2.66 G .16(he user so speci\214es with)-2.66 F/F6
 10/Courier@0 SF .16(stty tostop)2.66 F F0 2.66(,w)C .16(rite to the ter)
--2.66 F(-)-.2 E 3.052(minal. Background)108 715.2 R .551
-(processes which attempt to read from \(write to when)3.052 F F6 .551
-(stty tostop)3.051 F F0 .551(is in ef)3.051 F .551(fect\) the)-.25 F
+-2.66 F(-)-.2 E 3.051(minal. Background)108 715.2 R .551
+(processes which attempt to read from \(write to when)3.051 F F6 .551
+(stty tostop)3.051 F F0 .552(is in ef)3.052 F .552(fect\) the)-.25 F
 2.098(terminal are sent a)108 727.2 R F4 2.098(SIGTTIN \(SIGTT)4.598 F
 (OU\))-.162 E F0 2.098(signal by the k)4.348 F(ernel')-.1 E 4.598(st)
 -.55 G 2.098(erminal dri)-4.598 F -.15(ve)-.25 G 2.898 -.4(r, w).15 H
-2.098(hich, unless caught,).4 F(GNU Bash 4.4)72 768 Q(2017 June 23)
-148.175 E(36)197.335 E 0 Cg EP
+2.098(hich, unless caught,).4 F(GNU Bash 4.4)72 768 Q(2017 October 7)
+143.735 E(36)192.895 E 0 Cg EP
 %%Page: 37 37
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E
-(suspends the process.)108 84 Q 1.088(If the operating system on which)
-108 100.8 R/F1 10/Times-Bold@0 SF(bash)3.588 E F0 1.088
-(is running supports job control,)3.588 F F1(bash)3.587 E F0 1.087
-(contains f)3.587 F 1.087(acilities to use it.)-.1 F -.8(Ty)108 112.8 S
-.301(ping the).8 F/F2 10/Times-Italic@0 SF(suspend)3.141 E F0 .301
-(character \(typically)3.571 F F1(^Z)2.801 E F0 2.801(,C)C .301
+(suspends the process.)108 84 Q 1.087(If the operating system on which)
+108 100.8 R/F1 10/Times-Bold@0 SF(bash)3.587 E F0 1.088
+(is running supports job control,)3.588 F F1(bash)3.588 E F0 1.088
+(contains f)3.588 F 1.088(acilities to use it.)-.1 F -.8(Ty)108 112.8 S
+.302(ping the).8 F/F2 10/Times-Italic@0 SF(suspend)3.142 E F0 .302
+(character \(typically)3.572 F F1(^Z)2.801 E F0 2.801(,C)C .301
 (ontrol-Z\) while a process is running causes that process to be)-2.801
-F 2.143(stopped and returns control to)108 124.8 R F1(bash)4.642 E F0
+F 2.142(stopped and returns control to)108 124.8 R F1(bash)4.642 E F0
 7.142(.T)C 2.142(yping the)-7.942 F F2 2.142(delayed suspend)4.992 F F0
-2.142(character \(typically)5.412 F F1(^Y)4.642 E F0 4.642(,C)C
-(ontrol-Y\))-4.642 E .021(causes the process to be stopped when it atte\
+2.143(character \(typically)5.413 F F1(^Y)4.643 E F0 4.643(,C)C
+(ontrol-Y\))-4.643 E .021(causes the process to be stopped when it atte\
 mpts to read input from the terminal, and control to be returned)108
 136.8 R(to)108 148.8 Q F1(bash)3.392 E F0 5.892(.T)C .892
 (he user may then manipulate the state of this job, using the)-5.892 F
-F1(bg)3.392 E F0 .892(command to continue it in the)3.392 F .894
-(background, the)108 160.8 R F1(fg)3.394 E F0 .895
-(command to continue it in the fore)3.394 F .895(ground, or the)-.15 F
-F1(kill)3.395 E F0 .895(command to kill it.)3.395 F(A)5.895 E F1(^Z)
-3.395 E F0(tak)3.395 E(es)-.1 E(ef)108 172.8 Q .949(fect immediately)
--.25 F 3.449(,a)-.65 G .948(nd has the additional side ef)-3.449 F .948
+F1(bg)3.392 E F0 .892(command to continue it in the)3.392 F .895
+(background, the)108 160.8 R F1(fg)3.395 E F0 .895
+(command to continue it in the fore)3.395 F .895(ground, or the)-.15 F
+F1(kill)3.395 E F0 .894(command to kill it.)3.395 F(A)5.894 E F1(^Z)
+3.394 E F0(tak)3.394 E(es)-.1 E(ef)108 172.8 Q .948(fect immediately)
+-.25 F 3.448(,a)-.65 G .948(nd has the additional side ef)-3.448 F .948
 (fect of causing pending output and typeahead to be dis-)-.25 F(carded.)
 108 184.8 Q .777(There are a number of w)108 201.6 R .777
 (ays to refer to a job in the shell.)-.1 F .777(The character)5.777 F F1
 (%)3.277 E F0 .777(introduces a job speci\214cation)3.277 F(\()108 213.6
-Q F2(jobspec)A F0 3.458(\). Job)B(number)3.458 E F2(n)3.818 E F0 .957
+Q F2(jobspec)A F0 3.457(\). Job)B(number)3.457 E F2(n)3.817 E F0 .957
 (may be referred to as)3.697 F F1(%n)3.457 E F0 5.957(.A)C .957
 (job may also be referred to using a pre\214x of the)-2.5 F .59(name us\
 ed to start it, or using a substring that appears in its command line.)
 108 225.6 R -.15(Fo)5.59 G 3.09(re).15 G(xample,)-3.24 E F1(%ce)3.09 E
-F0 .59(refers to a)3.09 F(stopped)108 237.6 Q F1(ce)3.464 E F0(job)3.464
-E 5.964(.I)-.4 G 3.463(fap)-5.964 G .963
+F0 .59(refers to a)3.09 F(stopped)108 237.6 Q F1(ce)3.463 E F0(job)3.463
+E 5.963(.I)-.4 G 3.463(fap)-5.963 G .963
 (re\214x matches more than one job,)-3.463 F F1(bash)3.463 E F0 .963
 (reports an error)3.463 F 5.963(.U)-.55 G(sing)-5.963 E F1(%?ce)3.463 E
-F0 3.463(,o)C 3.463(nt)-3.463 G .963(he other)-3.463 F .086
+F0 3.464(,o)C 3.464(nt)-3.464 G .964(he other)-3.464 F .087
 (hand, refers to an)108 249.6 R 2.587(yj)-.15 G .087
 (ob containing the string)-2.587 F F1(ce)2.587 E F0 .087
 (in its command line.)2.587 F .087
@@ -4668,80 +4673,80 @@ F0 3.463(,o)C 3.463(nt)-3.463 G .963(he other)-3.463 F .086
 (he symbols)-5.018 F F1(%%)2.518 E F0(and)2.518 E F1(%+)2.518 E F0 .018
 (refer to the shell')2.518 F 2.518(sn)-.55 G .018(otion of the)-2.518 F
 F2(curr)2.518 E .018(ent job)-.37 F F0 2.518(,w).23 G .018(hich is)
--2.518 F .494(the last job stopped while it w)108 273.6 R .495
+-2.518 F .495(the last job stopped while it w)108 273.6 R .495
 (as in the fore)-.1 F .495(ground or started in the background.)-.15 F
-(The)5.495 E F2(pr)4.245 E -.15(ev)-.37 G .495(ious job).15 F F0 .495
-(may be)3.225 F .788(referenced using)108 285.6 R F1<25ad>3.288 E F0
-5.788(.I)C 3.288(ft)-5.788 G .787(here is only a single job,)-3.288 F F1
-(%+)3.287 E F0(and)3.287 E F1<25ad>3.287 E F0 .787
-(can both be used to refer to that job)3.287 F 5.787(.I)-.4 G(n)-5.787 E
-.256(output pertaining to jobs \(e.g., the output of the)108 297.6 R F1
+(The)5.494 E F2(pr)4.244 E -.15(ev)-.37 G .494(ious job).15 F F0 .494
+(may be)3.224 F .787(referenced using)108 285.6 R F1<25ad>3.287 E F0
+5.787(.I)C 3.287(ft)-5.787 G .787(here is only a single job,)-3.287 F F1
+(%+)3.287 E F0(and)3.287 E F1<25ad>3.287 E F0 .788
+(can both be used to refer to that job)3.287 F 5.788(.I)-.4 G(n)-5.788 E
+.257(output pertaining to jobs \(e.g., the output of the)108 297.6 R F1
 (jobs)2.756 E F0 .256(command\), the current job is al)2.756 F -.1(wa)
--.1 G .257(ys \215agged with a).1 F F1(+)2.757 E F0(,)A .411
-(and the pre)108 309.6 R .411(vious job with a)-.25 F F1<ad>2.911 E F0
-5.411(.A)C .411(single % \(with no accompan)-2.5 F .41
+-.1 G .256(ys \215agged with a).1 F F1(+)2.756 E F0(,)A .41(and the pre)
+108 309.6 R .41(vious job with a)-.25 F F1<ad>2.91 E F0 5.41(.A)C .411
+(single % \(with no accompan)-2.5 F .411
 (ying job speci\214cation\) also refers to the cur)-.15 F(-)-.2 E
-(rent job)108 321.6 Q(.)-.4 E .443
+(rent job)108 321.6 Q(.)-.4 E .444
 (Simply naming a job can be used to bring it into the fore)108 338.4 R
-(ground:)-.15 E F1(%1)2.944 E F0 .444(is a synon)2.944 F .444(ym for)
--.15 F F1 -.63(``)2.944 G .444(fg %1').63 F(')-.63 E F0 2.944(,b)C
-(ringing)-2.944 E 1.473(job 1 from the background into the fore)108
-350.4 R 3.973(ground. Similarly)-.15 F(,)-.65 E F1 -.63(``)3.972 G 1.472
-(%1 &').63 F(')-.63 E F0 1.472(resumes job 1 in the background,)3.972 F
+(ground:)-.15 E F1(%1)2.943 E F0 .443(is a synon)2.943 F .443(ym for)
+-.15 F F1 -.63(``)2.943 G .443(fg %1').63 F(')-.63 E F0 2.943(,b)C
+(ringing)-2.943 E 1.472(job 1 from the background into the fore)108
+350.4 R 3.972(ground. Similarly)-.15 F(,)-.65 E F1 -.63(``)3.973 G 1.473
+(%1 &').63 F(')-.63 E F0 1.473(resumes job 1 in the background,)3.973 F
 (equi)108 362.4 Q -.25(va)-.25 G(lent to).25 E F1 -.63(``)2.5 G(bg %1')
-.63 E(')-.63 E F0(.)A .13(The shell learns immediately whene)108 379.2 R
--.15(ve)-.25 G 2.63(raj).15 G .13(ob changes state.)-2.63 F(Normally)
-5.131 E(,)-.65 E F1(bash)2.631 E F0 -.1(wa)2.631 G .131
-(its until it is about to print a).1 F .158
-(prompt before reporting changes in a job')108 391.2 R 2.658(ss)-.55 G
-.158(tatus so as to not interrupt an)-2.658 F 2.657(yo)-.15 G .157
-(ther output.)-2.657 F .157(If the)5.157 F F1<ad62>2.657 E F0 .157
-(option to)2.657 F(the)108 403.2 Q F1(set)2.647 E F0 -.2(bu)2.647 G .147
-(iltin command is enabled,).2 F F1(bash)2.647 E F0 .148
-(reports such changes immediately)2.648 F 5.148(.A)-.65 G .448 -.15
-(ny t)-5.148 H .148(rap on).15 F/F3 9/Times-Bold@0 SF(SIGCHLD)2.648 E F0
-.148(is e)2.398 F -.15(xe)-.15 G(-).15 E(cuted for each child that e)108
-415.2 Q(xits.)-.15 E .033(If an attempt to e)108 432 R(xit)-.15 E F1
-(bash)2.533 E F0 .033(is made while jobs are stopped \(or)2.533 F 2.532
-(,i)-.4 G 2.532(ft)-2.532 G(he)-2.532 E F1(checkjobs)2.532 E F0 .032
-(shell option has been enabled)2.532 F 2.019(using the)108 444 R F1
-(shopt)4.519 E F0 -.2(bu)4.519 G 2.019
-(iltin, running\), the shell prints a w).2 F 2.02
-(arning message, and, if the)-.1 F F1(checkjobs)4.52 E F0 2.02
-(option is)4.52 F .459(enabled, lists the jobs and their statuses.)108
-456 R(The)5.459 E F1(jobs)2.959 E F0 .458
-(command may then be used to inspect their status.)2.958 F .458(If a)
-5.458 F .603(second attempt to e)108 468 R .604
+.63 E(')-.63 E F0(.)A .131(The shell learns immediately whene)108 379.2
+R -.15(ve)-.25 G 2.631(raj).15 G .131(ob changes state.)-2.631 F
+(Normally)5.131 E(,)-.65 E F1(bash)2.631 E F0 -.1(wa)2.63 G .13
+(its until it is about to print a).1 F .157
+(prompt before reporting changes in a job')108 391.2 R 2.657(ss)-.55 G
+.157(tatus so as to not interrupt an)-2.657 F 2.658(yo)-.15 G .158
+(ther output.)-2.658 F .158(If the)5.158 F F1<ad62>2.658 E F0 .158
+(option to)2.658 F(the)108 403.2 Q F1(set)2.648 E F0 -.2(bu)2.648 G .148
+(iltin command is enabled,).2 F F1(bash)2.648 E F0 .148
+(reports such changes immediately)2.648 F 5.147(.A)-.65 G .447 -.15
+(ny t)-5.147 H .147(rap on).15 F/F3 9/Times-Bold@0 SF(SIGCHLD)2.647 E F0
+.147(is e)2.397 F -.15(xe)-.15 G(-).15 E(cuted for each child that e)108
+415.2 Q(xits.)-.15 E .032(If an attempt to e)108 432 R(xit)-.15 E F1
+(bash)2.532 E F0 .032(is made while jobs are stopped \(or)2.532 F 2.533
+(,i)-.4 G 2.533(ft)-2.533 G(he)-2.533 E F1(checkjobs)2.533 E F0 .033
+(shell option has been enabled)2.533 F 2.02(using the)108 444 R F1
+(shopt)4.52 E F0 -.2(bu)4.52 G 2.02
+(iltin, running\), the shell prints a w).2 F 2.019
+(arning message, and, if the)-.1 F F1(checkjobs)4.519 E F0 2.019
+(option is)4.519 F .458(enabled, lists the jobs and their statuses.)108
+456 R(The)5.458 E F1(jobs)2.958 E F0 .459
+(command may then be used to inspect their status.)2.958 F .459(If a)
+5.459 F .604(second attempt to e)108 468 R .604
 (xit is made without an interv)-.15 F .604
 (ening command, the shell does not print another w)-.15 F(arning,)-.1 E
-(and an)108 480 Q 2.5(ys)-.15 G(topped jobs are terminated.)-2.5 E .645
-(When the shell is w)108 496.8 R .645
-(aiting for a job or process using the)-.1 F F1(wait)3.144 E F0 -.2(bu)
-3.144 G .644(iltin, and job control is enabled,).2 F F1(wait)3.144 E F0
-(will)3.144 E .428(return when the job changes state. The)108 508.8 R F1
+(and an)108 480 Q 2.5(ys)-.15 G(topped jobs are terminated.)-2.5 E .644
+(When the shell is w)108 496.8 R .644
+(aiting for a job or process using the)-.1 F F1(wait)3.145 E F0 -.2(bu)
+3.145 G .645(iltin, and job control is enabled,).2 F F1(wait)3.145 E F0
+(will)3.145 E .428(return when the job changes state. The)108 508.8 R F1
 <ad66>2.928 E F0 .428(option will force)2.928 F F1(wait)2.928 E F0 .428
 (to w)2.928 F .428(ait until the job or process terminates)-.1 F
 (before returning.)108 520.8 Q/F4 10.95/Times-Bold@0 SF(PR)72 537.6 Q
-(OMPTING)-.329 E F0 .645(When e)108 549.6 R -.15(xe)-.15 G .645
-(cuting interacti).15 F -.15(ve)-.25 G(ly).15 E(,)-.65 E F1(bash)3.145 E
+(OMPTING)-.329 E F0 .644(When e)108 549.6 R -.15(xe)-.15 G .644
+(cuting interacti).15 F -.15(ve)-.25 G(ly).15 E(,)-.65 E F1(bash)3.144 E
 F0 .645(displays the primary prompt)3.145 F F3(PS1)3.145 E F0 .645
-(when it is ready to read a command,)2.895 F .427
-(and the secondary prompt)108 561.6 R F3(PS2)2.927 E F0 .427
-(when it needs more input to complete a command.)2.677 F F1(Bash)5.428 E
-F0(displays)2.928 E F3(PS0)2.928 E F0(after)2.678 E .038
-(it reads a command b)108 573.6 R .038(ut before e)-.2 F -.15(xe)-.15 G
-.038(cuting it.).15 F F1(Bash)5.038 E F0(displays)2.537 E F3(PS4)2.537 E
-F0 .037(as described abo)2.287 F .337 -.15(ve b)-.15 H .037
-(efore tracing each com-).15 F 1.121(mand when the)108 585.6 R F1<ad78>
-3.621 E F0 1.122(option is enabled.)3.621 F F1(Bash)6.122 E F0(allo)
+(when it is ready to read a command,)2.895 F .428
+(and the secondary prompt)108 561.6 R F3(PS2)2.928 E F0 .427
+(when it needs more input to complete a command.)2.678 F F1(Bash)5.427 E
+F0(displays)2.927 E F3(PS0)2.927 E F0(after)2.677 E .037
+(it reads a command b)108 573.6 R .037(ut before e)-.2 F -.15(xe)-.15 G
+.037(cuting it.).15 F F1(Bash)5.037 E F0(displays)2.537 E F3(PS4)2.538 E
+F0 .038(as described abo)2.288 F .338 -.15(ve b)-.15 H .038
+(efore tracing each com-).15 F 1.122(mand when the)108 585.6 R F1<ad78>
+3.622 E F0 1.122(option is enabled.)3.622 F F1(Bash)6.122 E F0(allo)
 3.622 E 1.122(ws these prompt strings to be customized by inserting a)
 -.25 F(number of backslash-escaped special characters that are decoded \
 as follo)108 597.6 Q(ws:)-.25 E F1(\\a)144 609.6 Q F0
 (an ASCII bell character \(07\))180 609.6 Q F1(\\d)144 621.6 Q F0
 (the date in "W)180 621.6 Q(eekday Month Date" format \(e.g., "T)-.8 E
 (ue May 26"\))-.45 E F1(\\D{)144 633.6 Q F2(format)A F1(})A F0(the)180
-645.6 Q F2(format)3.927 E F0 1.427(is passed to)3.927 F F2(strftime)
-3.927 E F0 1.427
+645.6 Q F2(format)3.926 E F0 1.426(is passed to)3.926 F F2(strftime)
+3.926 E F0 1.427
 (\(3\) and the result is inserted into the prompt string; an)B(empty)180
 657.6 Q F2(format)2.5 E F0
 (results in a locale-speci\214c time representation.)2.5 E
